#include "os.h"

int main()
{
    k_clear_screen();

    // GDT, IDT, ISRS, IRQ, timer, keyboard
    gdt_install();
    idt_install();
    isrs_install();
    irq_install();
    timer_install();
    keyboard_install();
    sti();

    set_cursor(0,0);
    printformat("   ************************************************\n");
	printformat("   *                                              *\n");
	printformat("   *          Welcome to PrettyOS 0.05            *\n");
	printformat("   *                                              *\n");
	printformat("   *        The C kernel has been loaded.         *\n");
	printformat("   *                                              *\n");
	printformat("   ************************************************\n");

    settextcolor(4,1);
    /*
    set_cursor(40,12); printformat("%u\n",753664);
    set_cursor(40,13); printformat("%d\n",753664);
    set_cursor(40,14); printformat("%X\n",753664);
    set_cursor(40,15); printformat("%s %c\n","Buchstabe:", 0x41);
    */
	int y=10;
	while(TRUE)
	{
	    sleepMilliSeconds(10000);
	    if(y>24) y=24;
	    set_cursor(0,++y);
	    printformat("10 sec have passed");
	};

	return 0;
};
